Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Gentoo Local Security Checks >> [GLSA-200405-23] Heimdal: Kerberos 4 buffer overflow in kadmin


Vulnerability Assessment Details

[GLSA-200405-23] Heimdal: Kerberos 4 buffer overflow in kadmin

Vulnerability Assessment Summary
Heimdal: Kerberos 4 buffer overflow in kadmin

Detailed Explanation for this Vulnerability Assessment
The remote host is affected by the vulnerability described in GLSA-200405-23
(Heimdal: Kerberos 4 buffer overflow in kadmin)


A buffer overflow was discovered in kadmind, a server for administrative
access to the Kerberos database.

Impact

By sending a specially formatted message to kadmind, a remote attacker may
be able to crash kadmind causing a denial of service, or execute arbitrary
code with the permissions of the kadmind process.

Workaround

For a temporary workaround, providing you do not require Kerberos 4
support, you may turn off Kerberos 4 kadmin by running kadmind with the
--no-kerberos4 option.

References:
http://www.pdc.kth.se/heimdal/advisory/2004-05-06/
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0434


Solution:
All Heimdal users should upgrade to the latest stable version:
# emerge sync
# emerge -pv ">=app-crypt/heimdal-0.6.2"
# emerge ">=app-crypt/heimdal-0.6.2"


Network Security Threat Level: High


Networks Security ID:

Vulnerability Assessment Copyright: (C) 2005 Michel Arboi

Cables, Connectors

HP DL360 G9 4 LFF (2)E5-2660v3 10-C 2.60Ghz 256GB 16.0TB HDD 749796-001 (2)800W
$2607.0
HP DL360 G9 4 LFF (2)E5-2660v3 10-C 2.60Ghz 256GB 16.0TB HDD 749796-001 (2)800W pictureHP DL360 G9 4 LFF (2)E5-2620V3 6-C 2.40Ghz 128GB 16.0TB HDD 749796-001 (1)500W
$1802.0
HP DL360 G9 4 LFF (2)E5-2620V3 6-C 2.40Ghz 128GB 16.0TB HDD 749796-001 (1)500W pictureHP DL360 G9 4 LFF (2)E5-2630L v3 8-C 1.80Ghz 128GB 16.0TB 749796-001 (1)500W
$1822.0
HP DL360 G9 4 LFF (2)E5-2630L v3 8-C 1.80Ghz 128GB 16.0TB 749796-001 (1)500W picture


Discussions

No Discussions have been posted on this vulnerability.